Subject: Use the permission model inside JavaScript
Description

We (Andi, Sebastian, Patrick, Karsten), discussed this at t3dd.

    1. enhance the policy system that you can add something like (... && UserInterface(F3.TYPO3.[someComponent]), and if this
component is ACCESS_DENY, then this sould be transferred to a JSON array.
        1. TODO: Improve the way we can write that.
    2. in Application.bootstrap, we will only run bootstrappers in case they are not denied.
    3. We will add all DENIED resources to every Domain Object we transfer to the client side (be it via JSON, Page Template, ...)
    4. JavaScript will update its permissions (f.e. "currentPage.permissions"), and if the permissions change, this will trigger change
events. Components can listen to this and react appropriately (i.e. disable/enable the button).

History
#1 - 2010-10-21 10:51 - Sebastian Kurfuerst
- Parent task set to #8796

#2 - 2011-05-10 08:44 - Sebastian Kurfuerst
- Project changed from Base Distribution to TYPO3.Neos

#3 - 2011-05-10 08:50 - Sebastian Kurfuerst
- Category set to UI
- Priority changed from Should have to Could have

#4 - 2011-09-07 16:07 - Sebastian Kurfuerst
- Status changed from New to Closed

Closing issue because it is either obsolete in the new FE architecture, or duplicate.
